<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_afpr_ratings_include.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if ($profile_method == "input") {

	$user_afpr_notify = isset($user_data['user_afprnotify']) ? $user_data['user_afprnotify'] : "";

	if ($this->isError()) { $user_afpr_notify = isset($_POST['user_afprnotify']) ? stripinput($_POST['user_afprnotify']) : $user_afpr_notify; }
	
	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_afprnotify")."'>".$locale['uf_afpr_notify_edit'].$required."</td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_afprnotify")."'>";
	echo "<label><input type='radio' name='user_afprnotify' value='1' ".($user_afpr_notify == 1 ? "checked='checked'" : "")." />".$locale['u052']."</label>
<label><input type='radio' name='user_afprnotify' value='0' ".($user_afpr_notify == 0 ? "checked='checked'" : "")." />".$locale['u053']."</label>";
	echo "</td>\n</tr>\n";
	
	if ($required) { $this->setRequiredJavaScript("user_afprnotify", $locale['uf_afpr_notify_error']); }

} elseif ($profile_method == "display") {
	// Nothing to Display
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {

	if (isset($_POST['user_afprnotify']) && ($_POST['user_afprnotify'] != "" || $this->_isNotRequired("user_afprnotify"))) {
		// Set update or insert user data
		$this->_setDBValue("user_afprnotify", stripinput(trim($_POST['user_afprnotify'])));
	} else {
		$this->_setError("user_afprnotify", $locale['uf_afpr_notify_error'], true);	
	}
}	
?>