<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: getratings.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

include "../../../maincore.php";

if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php"; 
}

if (isset($_GET['post']) && isNum($_GET['post']) && isset($_GET['rating']) && isNum($_GET['rating']))
{
	// Database Settings
	// Fetching Database Settings
	$settingsinf = array();
	$result = dbquery("SELECT * FROM ".DB_SETTINGS_INF." WHERE settings_inf='ajax_forum_post_ratings_panel'");
	if (dbrows($result)) {
		while ($data = dbarray($result)) {
			$settingsinf[$data['settings_name']] = $data['settings_value'];
		}
	}

	// Custom Profile Link Function to Cure problem with BASEDIR
	function afprshowprofile($user_id, $user_name, $user_status, $class = "profile-link")
	{
		global $locale, $settings;
		$class = ($class ? " class='$class'" : "");
		if ((in_array($user_status, array(0, 3, 7)) || checkrights("M")) && (iMEMBER || $settings['hide_userprofiles'] == "0")) {
			$link = "<a href='../profile.php?lookup=".$user_id."'".$class." target='_blank'>".$user_name."</a>";
		} elseif ($user_status == "5" || $user_status == "6") {
			$link = $locale['user_anonymous'];
		} else {
			$link = $user_name;
		}
		return $link;
	}

	// Number of Names to show
	$nameamount = 10;

	include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";

	$post_id = stripinput($_GET['post']);
	$rating = stripinput($_GET['rating']);

	$result = dbquery("SELECT r.user_id, u.user_id, u.user_name, u.user_status FROM ".DB_AFPR_RATINGS." r LEFT JOIN ".DB_USERS." u ON (r.user_id=u.user_id) WHERE post_id=".$post_id." AND rating_type=".$rating." LIMIT ".$nameamount);
	$count = dbcount("(user_id)", DB_AFPR_RATINGS, "post_id='".$post_id."' AND rating_type='".$rating."'");
	//$info = dbarray(dbquery("SELECT cat_name FROM ".DB_AFPR_CATS." WHERE cat_id=".$rating));

	echo "<span style='color:#000; font-weight: normal;'>\n";
	if ($settingsinf['afpr_showuserlinks'] == 1)
	{
		while ($data = dbarray($result))
		{
			echo afprshowprofile($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
		}
	}
	else
	{
		while ($data = dbarray($result))
		{
			echo $data['user_name']."<br />\n";
		}
	}

	if ($count > $nameamount) {
		echo $locale['afpr_ajax_001']." ".($count-$nameamount)." ".$locale['afpr_ajax_002'];
	}
	echo "</span>\n";
}

?>