<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: userfield.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

function showmyratings($user)
{
$types = dbquery("SELECT * FROM ".DB_AFPR_CATS." ORDER BY cat_order ASC");

$button_id = array();
$button_name = array();
$button_image = array();

$i = 0;
while ($data = dbarray($types))
{
	$button_id[$i] = $data['cat_id'];
	$button_name[$i] = $data['cat_name'];
	$button_image[$i] = $data['cat_image'];
	$i++;
}

$ratings = dbquery("SELECT r.rating_type FROM ".DB_AFPR_RATINGS." r LEFT JOIN ".DB_POSTS." p ON (p.post_id=r.post_id) WHERE p.post_author=".$user);
$rating_type = array();
$i=0;
if (dbrows($ratings))	{
	while ($data = dbarray($ratings))
	{
		$rating_type[$i] = $data['rating_type'];
		$i++;
	}
}
$total = array();
$total = array_count_values($rating_type);

$display = "";

	while (list($key, $val) = each($total))	{
		$image = $button_image[array_search($key, $button_id)];
		$name = $button_name[array_search($key, $button_id)];
		$display .= "<div class='myratingdiv'><a href='".INFUSIONS."ajax_forum_post_ratings_panel/my_ratings.php?cat=".$key."'><img src='".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/".$image."' alt='' class='showbuttonimage' /> ".$val.$locale['afpr_mr_01']."<strong>".$name."</strong></a></div>\n";
	}
	unset($button_id);
	unset($button_image);
	unset($button_name);
	unset($rating_type);
	unset($total);

	return $display;
}

function showthisrating($cat, $rowstart)
{
	global $userdata;

	$display = "";

	$sel_posts = dbquery("SELECT r.post_id, p.thread_id, p.post_message, p.post_smileys FROM ".DB_AFPR_RATINGS." r LEFT JOIN ".DB_POSTS." p ON (p.post_id=r.post_id) WHERE r.rating_type='".$cat."' AND p.post_author='".$userdata['user_id']."' LIMIT ".$rowstart.",20");

	$total = dbrows(dbquery("SELECT r.post_id, p.thread_id, p.post_message, p.post_smileys FROM ".DB_AFPR_RATINGS." r LEFT JOIN ".DB_POSTS." p ON (p.post_id=r.post_id) WHERE r.rating_type='".$cat."' AND p.post_author='".$userdata['user_id']."'"));

	if (dbrows($sel_posts) > 0)
	{
		while ($data = dbarray($sel_posts))
		{
			$message = $data['post_message'];
			if ($data['post_smileys']) { $message = parsesmileys($message); }
			$message = parseubb($message);
			$message = strip_tags($message);
			$message = trimlink($message,100);
			$display .= "<div class='myratingdiv myrateddiv'>\n<a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."&amp;pid=".$data['post_id']."#post_".$data['post_id']."'>".nl2br($message)."</a>\n</div>\n";
		}
		if ($total > 20)
		{
			$display .="<div align='center' style='margin-top:5px;'>".makepagenav($rowstart, 20, $total, 3, FUSION_SELF."?cat=".$cat."&amp;")."</div>\n";
		}
	}
	return $display;
}

?>