<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: rate.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

include "../../../maincore.php";


if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php"; 
}

echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n<title>".$settings['sitename']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "</head>\n<body>\n";

if (iMEMBER)	{
if (isset($_GET['post']) && isNum($_GET['post']) && isset($_GET['rating']) && isNum($_GET['rating']))
{
	global $userdata;

	include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";

	$post_id = stripinput($_GET['post']);
	$rating = stripinput($_GET['rating']);

	$check = dbarray(dbquery("SELECT post_id, post_author, thread_id FROM ".DB_POSTS." where post_id=".$post_id));
	$update = dbquery("SELECT * FROM ".DB_AFPR_RATINGS." where post_id=".$post_id." AND user_id=".$userdata['user_id']." AND rating_type=".$rating);

	if (($check['post_author'] != $userdata['user_id']) && dbrows($update) == 0)
	{
		$result = dbquery("INSERT INTO ".DB_AFPR_RATINGS." (rating_id, post_id, user_id, rating_type) VALUES ('', '".$post_id."', '".$userdata['user_id']."', '".$rating."')");
		echo "<span style=\"color: #009900; font-size: 11px;\">".$locale['afpr_ajax_003']."</span>";
	}
	else
	{
		echo "<span style=\"color: #ff0000; font-size: 11px;\"><strong>".$locale['afpr_ajax_004']."</strong></span>";
	}

	$to = dbarray(dbquery("SELECT user_name, user_email, user_afprnotify FROM ".DB_USERS." where user_id=".$check['post_author']));

	// First Check, If the Userfield is Enabled or not
	if (dbrows(dbquery("SELECT field_name FROM ".DB_USER_FIELDS." WHERE field_name='user_afprnotify'")) > 0)
	{
	// If the Receiver has selected to Notify him via E-Mail
	if ($to['user_afprnotify'] == 1)
	{
		// Including for Sending E-Mail
		//include INCLUDES."infusions_include.php";
		include INCLUDES."sendmail_include.php";

		$thread_title = dbarray(dbquery("SELECT thread_subject FROM ".DB_THREADS." where thread_id=".$check['thread_id']));
		$rate_name = dbarray(dbquery("SELECT cat_name FROM ".DB_AFPR_CATS." where cat_id=".$rating));
		$url_to_post = "<a href='".$settings['siteurl']."forum/viewthread.php?thread_id=".$check['thread_id']."&amp;pid=".$check['post_id']."#post_".$check['post_id']."' target='_blank'>".$settings['siteurl']."forum/viewthread.php?thread_id=".$check['thread_id']."&amp;pid=".$check['post_id']."#post_".$check['post_id']."</a>";
		$subject = str_replace("[NAME]", $userdata['user_name'], $locale['afpr_email_subject']);
		$message_to_send = str_replace("[TO]", $to['user_name'], $locale['afpr_email_msg']);
		$message_to_send = str_replace("[USER]", $userdata['user_name'], $message_to_send);
		$message_to_send = str_replace("[URL]", $url_to_post, $message_to_send);
		$message_to_send = str_replace("[RATE]", $rate_name['cat_name'], $message_to_send);
		$message_to_send = str_replace("[THREAD]", $thread_title['thread_subject'], $message_to_send);

		// Sending E-Mail below
		sendemail($to['user_name'], $to['user_email'], $settings['siteusername'], $settings['siteemail'], $subject, $message_to_send, "html");
		//send_pm($check['post_author'], $userdata['user_id'], $subject, "Testing Message");
	}
	}
}
}
echo "</body>\n</html>\n";
?>