<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: userfield.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

function ufshowratings($user)
{
	global $settings, $userdata;

	if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php"; 
}

	// Database Settings
// Fetching Database Settings
$infsettings = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS_INF." WHERE settings_inf='ajax_forum_post_ratings_panel'");
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$infsettings[$data['settings_name']] = $data['settings_value'];
	}
}
	add_to_footer("<script type='text/javascript' src='".INFUSIONS."ajax_forum_post_ratings_panel/includes/jquery.qtip-1.0.0-rc3.min.js'></script>");
add_to_footer("<script type='text/javascript'>
$.fn.qtip.styles.mystyle = {	name: '".$infsettings['afpr_tooltip_style']."'	}
</script>");
add_to_footer("<script type='text/javascript' src='".INFUSIONS."ajax_forum_post_ratings_panel/includes/jquery.qtip.index.js'></script>");
add_to_head("<style type='text/css'>
.ratebuttonimage
{
	cursor: pointer;
	font-size: 10px;
	margin: 0px 5px 0px 5px;
}
.ratebuttonimage img
{
	vertical-align:middle;
}
</style>");

include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";

$types = dbquery("SELECT * FROM ".DB_AFPR_CATS." ORDER BY cat_order ASC");

$button_id = array();
$button_name = array();
$button_image = array();

$i = 0;
while ($data = dbarray($types))
{
	$button_id[$i] = $data['cat_id'];
	$button_name[$i] = $data['cat_name'];
	$button_image[$i] = $data['cat_image'];
	$i++;
}

$ratings = dbquery("SELECT r.rating_type FROM ".DB_AFPR_RATINGS." r LEFT JOIN ".DB_POSTS." p ON (p.post_id=r.post_id) WHERE p.post_author=".$user);
$rating_type = array();
$i=0;
if (dbrows($ratings))	{
	while ($data = dbarray($ratings))
	{
		$rating_type[$i] = $data['rating_type'];
		$i++;
	}
}
$total = array();
$total = array_count_values($rating_type);

$display = "";
$count=1;
	while (list($key, $val) = each($total))	{
		$image = $button_image[array_search($key, $button_id)];
		$name = $button_name[array_search($key, $button_id)];
		$display .= "<span class='ratebuttonimage' title='".$name."'".(iMEMBER && ($user == $userdata['user_id']) ? " onclick='window.location=\"".INFUSIONS."ajax_forum_post_ratings_panel/my_ratings.php?cat=".$key."\";'" : "")."><img src='".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/".$image."' alt='' class='showbuttonimage' /> x".$val."</span>\n";
		if (($count % 5) == 0)
		{
			$display .= "<br />";
		}
		$count++;
	}
	unset($button_id);
	unset($button_image);
	unset($button_name);
	unset($rating_type);
	unset($total);

	return $display;
}
?>