<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: functions.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$types = dbquery("SELECT * FROM ".DB_AFPR_CATS." ORDER BY cat_order ASC");

$button_id = array();
$button_name = array();
$button_image = array();

$i = 0;
while ($data = dbarray($types))
{
	$button_id[$i] = $data['cat_id'];
	$button_name[$i] = $data['cat_name'];
	$button_image[$i] = $data['cat_image'];
	$i++;
}

function showbuttons($post_id)
{
	global $button_id, $button_name, $button_image, $userdata, $locale;

	$return_data = "";	// Return the HTML Data as string

	// These are the ratings which are made by current user to the current post
	$ratings = dbquery("SELECT rating_type FROM ".DB_AFPR_RATINGS." WHERE post_id=".$post_id." AND user_id=".$userdata['user_id']);

	$rating_type = array();
	$i=0;
	if ($ratings)	{
		while ($data = dbarray($ratings))
		{
			$rating_type[$i] = $data['rating_type'];
			$i++;
		}
	}

	ob_start();

	for ($i = 0; $i < count($button_id); $i++) {
		if (!in_array($button_id[$i], $rating_type))
		{
			echo "<span class='ratebuttonimage' title='".$button_name[$i]."' onclick='javascript:rate(".$post_id.",".$button_id[$i].",this);'><img src='".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/".$button_image[$i]."' class='rtbtnimg' alt='' /></span>\n";
		}
		else
		{
			echo "<span class='ratedbuttonimage' title='".$locale['afpr_ajax_remove']."' onclick='javascript:unrate(".$post_id.",".$button_id[$i].",this,\"".$locale['afpr_ajax_remove_ask']."\");'><img src='".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/".$button_image[$i]."' class='unrtbtnimg' alt='".$locale['afpr_ajax_remove']."' /></span>\n";
		}
	}

	$return_data = ob_get_contents();
	ob_end_clean();

	unset($rating_type);
	unset($ratings);

	return $return_data;	// Returning HTML content

}

function showratings($post_id)
{
	global $button_id, $button_name, $button_image, $infsettings;

	$return_data = "";	// Return the HTML Data as string

	// These are the ratings which are made to the current post
	$ratings = dbquery("SELECT rating_type FROM ".DB_AFPR_RATINGS." WHERE post_id=".$post_id);

	$rating_type = array();
	$i=0;
	if ($ratings)	{
		while ($data = dbarray($ratings))
		{
			$rating_type[$i] = $data['rating_type'];
			$i++;
		}
	}

	$total = array();
	$total = array_count_values($rating_type);

	ob_start();

	$count=1;
	while (list($key, $val) = each($total))	{
		$image = $button_image[array_search($key, $button_id)];
		$name = $button_name[array_search($key, $button_id)];
		echo "<span class='showratings' ".($infsettings['afpr_showstyle'] == 0 ? "onclick='showtip(\"".$name."\",".$post_id.",".$key.",this,event)'" : "onmouseover='showtip(\"".$name."\",".$post_id.",".$key.",this,event)' onmouseout='hidetip();'")."><img src='".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/".$image."' alt='' class='showbuttonimage' /> x".$val."</span>\n";
		if (($count % 10) == 0)
		{
			echo "<br />";
		}
		$count++;
	}

	$return_data = ob_get_contents();
	ob_end_clean();

	unset($rating_type);
	unset($total);

	return $return_data;	// Returning HTML content
}

?>