<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: infusion.php
| Developer: Fangree_Craig, Ankur Thakur, Nick Jones
| Author: Fangree Productions
| Version: 2.00
| Site: http://www.fangree.com
| Site: http://php-fusion.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";

if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_description'];
$inf_version = "2.00";
$inf_developer = "Fangree_Craig &amp; Ankur Thakur";
$inf_email = "admin@fangree.com";
$inf_weburl = "http://www.fangree.com";

$inf_folder = "ajax_forum_post_ratings_panel";

$inf_newtable[1] = DB_AFPR_RATINGS." (
rating_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
post_id SMALLINT(5) UNSIGNED NOT NULL,
user_id SMALLINT(5) UNSIGNED NOT NULL,
rating_type TINYINT UNSIGNED NOT NULL,
PRIMARY KEY (rating_id)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_AFPR_CATS." (
cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
cat_image TEXT NOT NULL DEFAULT '',
cat_name TEXT NOT NULL DEFAULT '',
cat_order SMALLINT(3) UNSIGNED,
PRIMARY KEY (cat_id)
) ENGINE=MyISAM;";

// Default Ratings Settings
$inf_insertdbrow[1] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'agree.png', 'Agree', 1)";
$inf_insertdbrow[2] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'thanks.png', 'Thanks', 2)";
$inf_insertdbrow[3] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'rosette.png', 'Very Good', 3)";
$inf_insertdbrow[4] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'tick.png', 'Helpful', 4)";
$inf_insertdbrow[5] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'cross.png', 'Not Helpful', 5)";
$inf_insertdbrow[6] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'emoticon_evilgrin.png', 'Funny', 6)";
$inf_insertdbrow[7] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'like.png', 'Like it', 7)";
$inf_insertdbrow[8] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'dislike.png', 'Dislike', 8)";
$inf_insertdbrow[9] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'lightbulb.png', 'Nice Idea', 9)";
$inf_insertdbrow[10] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'information.png', 'Informative', 10)";
$inf_insertdbrow[11] = DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', 'wand.png', 'Code King', 11)";

// Infusion Settings
$inf_insertdbrow[11] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('afpr_opacity', '0.6', '".$inf_folder."')";
$inf_insertdbrow[12] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('afpr_opacity_hover', '1.0', '".$inf_folder."')";
$inf_insertdbrow[13] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('afpr_tooltip_style', 'cream', '".$inf_folder."')";
$inf_insertdbrow[14] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('afpr_ratings_visibility', '0', '".$inf_folder."')";
$inf_insertdbrow[15] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('afpr_showstyle', '0', '".$inf_folder."')";
$inf_insertdbrow[16] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('afpr_showuserlinks', '1', '".$inf_folder."')";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_droptable[1] = DB_AFPR_RATINGS;
$inf_droptable[2] = DB_AFPR_CATS;

$inf_adminpanel[1] = array(
	"title" => $locale['inf_title'],
	"image" => "afpr.png",
	"panel" => "ajax_forum_post_ratings_panel_admin.php",
	"rights" => "AFPR"
);

?>