<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: my_ratings.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!iMEMBER) { redirect(FORUM."index.php"); }

// Check If the Infusion is Infused or Not. Done to Minimize Error Logs
$infused_or_not = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='ajax_forum_post_ratings_panel'");

if (dbrows($infused_or_not) > 0) {
// Database Settings
// Fetching Database Settings
$infsettings = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS_INF." WHERE settings_inf='ajax_forum_post_ratings_panel'");
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$infsettings[$data['settings_name']] = $data['settings_value'];
	}
}

// Including Locales
if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php";
}
include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";
include INFUSIONS."ajax_forum_post_ratings_panel/includes/my_ratings.php";

add_to_head("<style type='text/css'>
.myratingdiv
{
	cursor: pointer;
	margin: 0px 5px 0px 5px;
	padding: 10px;
}
.myratingdiv img
{
	vertical-align: middle;
	margin-right: 20px;
	border: 0;
}
.myrateddiv
{
	cursor: default;
	border: 1px solid #000;
	margin: 5px auto;
}
</style>");

opentable($locale['afpr_mra_001']);

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

// When viewing a particular Rating
if(isset($_GET['cat']) && isNum($_GET['cat']) && isNum($_GET['rowstart']))
{
	$txt = "";
	$txt = showthisrating(stripinput($_GET['cat']),$_GET['rowstart']);
	$catname = dbquery("SELECT cat_name FROM ".DB_AFPR_CATS." WHERE cat_id=".stripinput($_GET['cat']));
	if ($txt != "")
	{
		if (dbrows($catname) > 0)
		{
			$catname = dbarray($catname);
			echo $locale['afpr_mra_002']." <strong>".$catname['cat_name']."</strong><br />";
		}
		echo $txt;
	}
	else
	{
		echo $locale['afpr_mra_003'];
	}
}
else
{
	$text = "";
	$text = showmyratings($userdata['user_id']);
	echo $text;
}

closeside();

}	// End of $infused_or_not condition

require_once THEMES."templates/footer.php";
?>