<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: upgrade.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (!checkrights("AFPR")) { redirect("../index.php"); }

if (!defined("IN_FUSION")) { die("Access Denied"); }

$inf_folder = "ajax_forum_post_ratings_panel";

// Check If the Infusion is Infused or Not. Done to Minimize Error Logs
$infused_or_not = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='".$inf_folder."'");

if (dbrows($infused_or_not) > 0) {

// Including Locales
if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php";
}
include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";
include INFUSIONS."ajax_forum_post_ratings_panel/includes/my_ratings.php";

opentable($locale['inf_title']." - ".$locale['afpr_upg_01']);

// Including Infusion File
include INFUSIONS."ajax_forum_post_ratings_panel/infusion.php";

echo $locale['afpr_upg_02'].$inf_version.".....<br /><br />";

$error = 0;

// Removing Old Rows from SETTINGS_INF Table
$result = dbquery("DELETE FROM ".DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'");
if (!$result)	{	$error = 1;	}

// Inserting New Rows into SETTINGS_INF Table
if (isset($inf_insertdbrow) && is_array($inf_insertdbrow) && count($inf_insertdbrow))
{
	// Running Loop from 11th Entry to 16th
	for ($i = 11; $i < (count($inf_insertdbrow) + 1); $i++)
	{
		$result = dbquery("INSERT INTO ".$inf_insertdbrow[$i]);
		if (!$result)	{	$error = 2;	}
	}
}

// Updating Infusion Version
$result = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='".$inf_version."' WHERE inf_folder='".$inf_folder."'");
if (!$result)	{	$error = 3;	}

if ($error == 0)
{
	echo $locale['afpr_upg_03'].$inf_version."...";
	echo "<br /><br />".$locale['afpr_upg_05'];
}
else
{
	echo $locale['afpr_upg_04'].$error;
}

closeside();

}	// End of $infused_or_not condition

require_once THEMES."templates/footer.php";
?>